[tasks.convert]
dependencies = ["convert_facenet", "convert_retinaface"]
workspace = false

[tasks.convert_facenet]
command = "MNNConvert"
args = [
  "-f",
  "ONNX",
  "--modelFile",
  "models/facenet.onnx",
  "--MNNModel",
  "models/facenet.mnn",
  "--fp16",
  "--bizCode",
  "MNN",
]
workspace = false

[tasks.convert_retinaface]
command = "MNNConvert"
args = [
  "-f",
  "ONNX",
  "--modelFile",
  "models/retinaface.onnx",
  "--MNNModel",
  "models/retinaface.mnn",
  "--fp16",
  "--bizCode",
  "MNN",
]
workspace = false

[tasks.gui]
command = "cargo"
args = ["run", "--bin", "gui"]
workspace = false
